curl --request GET \
--url https://api.pandaprobe.com/sessions/{session_id} \
--header 'Authorization: Bearer <token>'{
"session_id": "<string>",
"trace_count": 123,
"first_trace_at": "<string>",
"last_trace_at": "<string>",
"total_latency_ms": 123,
"has_error": true,
"user_id": "<string>",
"tags": [
"<string>"
],
"total_span_count": 0,
"total_tokens": 0,
"total_cost": 0,
"traces": [
{
"trace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"status": "PENDING",
"input": null,
"output": null,
"metadata": {},
"started_at": "<string>",
"ended_at": "<string>",
"session_id": "<string>",
"user_id": "<string>",
"tags": [
"<string>"
],
"environment": "<string>",
"release": "<string>",
"spans": [
{
"span_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"trace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"parent_span_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"kind": "AGENT",
"status": "UNSET",
"input": null,
"output": null,
"model": "<string>",
"token_usage": {},
"metadata": {},
"started_at": "<string>",
"ended_at": "<string>",
"error": "<string>",
"completion_start_time": "<string>",
"model_parameters": {},
"cost": {},
"latency_ms": 123,
"time_to_first_token_ms": 123
}
]
}
]
}Retrieve a single session with its full traces (including spans).
Summary fields (trace_count, latency, error, tags, tokens, cost) are computed via SQL aggregation over all traces in the session, regardless of the pagination window.
Auth: Bearer + X-Project-ID | X-API-Key + X-Project-Name
curl --request GET \
--url https://api.pandaprobe.com/sessions/{session_id} \
--header 'Authorization: Bearer <token>'{
"session_id": "<string>",
"trace_count": 123,
"first_trace_at": "<string>",
"last_trace_at": "<string>",
"total_latency_ms": 123,
"has_error": true,
"user_id": "<string>",
"tags": [
"<string>"
],
"total_span_count": 0,
"total_tokens": 0,
"total_cost": 0,
"traces": [
{
"trace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"status": "PENDING",
"input": null,
"output": null,
"metadata": {},
"started_at": "<string>",
"ended_at": "<string>",
"session_id": "<string>",
"user_id": "<string>",
"tags": [
"<string>"
],
"environment": "<string>",
"release": "<string>",
"spans": [
{
"span_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"trace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"parent_span_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"kind": "AGENT",
"status": "UNSET",
"input": null,
"output": null,
"model": "<string>",
"token_usage": {},
"metadata": {},
"started_at": "<string>",
"ended_at": "<string>",
"error": "<string>",
"completion_start_time": "<string>",
"model_parameters": {},
"cost": {},
"latency_ms": 123,
"time_to_first_token_ms": 123
}
]
}
]
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
1 <= x <= 1000x >= 0Successful Response
Single session with its ordered traces (full detail).
Show child attributes